Index: ram/idselbx.c
===================================================================
--- ram/idselbx.c	(revision 60288f548947383de9a52a06e402df2698a3ce5d)
+++ ram/idselbx.c	(revision 8618599ab825088c720c202c6e50a52572282c0f)
@@ -15,33 +15,33 @@
 #include "instdsp.h"
 
-extern	void	(*itxput)(short row, short col, char *txt, short tag);
-
-extern	void	lseg(short x1, short y1, short x2, short y2, short t);
-extern	void	dswin(short n);
-extern	void	tsplot4(int *obase, int nw, int fg, int row, int col, char *str, int pitch);
-extern	void	vbfill4(unsigned *obj, short obwidth, short xmin, short ymin, short xmax, short ymax, unsigned color);
-extern	short	entbh(short n);
-extern	void	vtdisp(unsigned *obj, unsigned fg, unsigned bg, short row, short col, char *buf);
+extern	void	(*itxput)(int16_t row, int16_t col, int8_t *txt, int16_t tag);
+
+extern	void	lseg(int16_t x1, int16_t y1, int16_t x2, int16_t y2, int16_t t);
+extern	void	dswin(int16_t n);
+extern	void	tsplot4(int16_t *obase, int16_t nw, int16_t fg, int16_t row, int16_t col, int8_t *str, int16_t pitch);
+extern	void	vbfill4(uint16_t *obj, int16_t obwidth, int16_t xmin, int16_t ymin, int16_t xmax, int16_t ymax, uint16_t color);
+extern	int16_t	entbh(int16_t n);
+extern	void	vtdisp(uint16_t *obj, uint16_t fg, uint16_t bg, int16_t row, int16_t col, int8_t *buf);
 extern	void	advicur(void);
 extern	void	bspicur(void);
 
-extern	void	drawfn(short fn, short how, short pen, short wn);
-extern	short	selpnt(void);
-extern	short	ttox(unsigned time, short window);
-extern	short	vtoy(short val, short window);
-
-extern	short	timeto(short fn, short pj);
-extern	unsigned	exp_c(unsigned c);
-
-/* 
-
-*/
-
-extern	short	cursbox, cxval, cyval;
-extern	short	curvce, curfunc, curpnt;
-extern	short	hitbox, hitcx, hitcy, idnamsw, idimsw, idtdat;
-extern	short	pntsv, pecase, stccol, subj, submenu;
-
-extern	short	temin, temax;
+extern	void	drawfn(int16_t fn, int16_t how, int16_t pen, int16_t wn);
+extern	int16_t	selpnt(void);
+extern	int16_t	ttox(uint16_t time, int16_t window);
+extern	int16_t	vtoy(int16_t val, int16_t window);
+
+extern	int16_t	timeto(int16_t fn, int16_t pj);
+extern	uint16_t	exp_c(uint16_t c);
+
+/* 
+
+*/
+
+extern	int16_t	cursbox, cxval, cyval;
+extern	int16_t	curvce, curfunc, curpnt;
+extern	int16_t	hitbox, hitcx, hitcy, idnamsw, idimsw, idtdat;
+extern	int16_t	pntsv, pecase, stccol, subj, submenu;
+
+extern	int16_t	temin, temax;
 
 extern	struct	selbox	*csbp, *curboxp;
@@ -51,19 +51,19 @@
 extern	struct	instpnt	*pntptr;
 
-extern	short	idbox[][8];
-extern	short	instmod[];
-
-extern	char	*vtdeptr;
-
-extern	char	*idbxlbl[];
-extern	char	idhlbl[];
-extern	char	bfs[];
-
-extern	unsigned	*instob;
+extern	int16_t	idbox[][8];
+extern	int16_t	instmod[];
+
+extern	int8_t	*vtdeptr;
+
+extern	int8_t	*idbxlbl[];
+extern	int8_t	idhlbl[];
+extern	int8_t	bfs[];
+
+extern	uint16_t	*instob;
 
 /* forward references */
 
-short	bx_null(void);
-short	idfnbox(short n);
+int16_t	bx_null(void);
+int16_t	idfnbox(int16_t n);
 
 /* 
@@ -117,5 +117,5 @@
 */
 
-void idtxput(short row, short col, char *txt, short tag)
+void idtxput(int16_t row, int16_t col, int8_t *txt, int16_t tag)
 {
 	if (v_regs[5] & 0x0180)
@@ -133,5 +133,5 @@
 void showim(void)
 {
-	register short row, col, ins;
+	register int16_t row, col, ins;
 
 	ins = 0;
@@ -251,7 +251,7 @@
 */
 
-short edfunc(short n)
-{
-	register unsigned cx;
+int16_t edfunc(int16_t n)
+{
+	register uint16_t cx;
 	register struct instdef *ip;
 
@@ -336,9 +336,9 @@
 */
 
-void showpt(short q)
-{
-	register short	ptx, pty, i, j, k;
+void showpt(int16_t q)
+{
+	register int16_t	ptx, pty, i, j, k;
 	register struct instdef *ip;
-	short ptc;
+	int16_t ptc;
 
 	if (q)
@@ -405,5 +405,5 @@
 */
 
-short bx_null(void)
+int16_t bx_null(void)
 {
 	return(TRUE);
@@ -416,5 +416,5 @@
 */
 
-void iclrwin(short n)
+void iclrwin(int16_t n)
 {
 	if (v_regs[5] & 0x0180)
@@ -435,9 +435,9 @@
 */
 
-short idfnbox(short n)
-{
-	register short col, i, row;
+int16_t idfnbox(int16_t n)
+{
+	register int16_t col, i, row;
 	register struct instdef *ip;
-	register char *ivtdptr;
+	register int8_t *ivtdptr;
 
 	ip = &vbufs[curvce];
